Bug 799665 - pgpool fails to start with default settings due to missing /var/run/pgpool directory
pgpool fails to start with default settings due to missing /var/run/pgpool di...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: postgresql-pgpool-II (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Devrim GÜNDÜZ
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-03 22:56 EST by Dan Scott
Modified: 2013-02-13 08:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 08:59:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Scott 2012-03-03 22:56:40 EST
Description of problem:

I installed postgresql-pgpool-II and expected it to run as a connection pool for PostgreSQL out of the box, but "systemctl status pgpool.service" showed that it failed to start. I ended up having to check /var/log/messages to find out that it was expecting (per the "FILE LOCATIONS" section of the default /etc/pgpool-II/pgpool.conf file) to be able to write to the /var/run/pgpool/ directory, which did not exist.

The /var/run/pgpool directory should be created when postgresql-pgpool-II is installed so that it works when started with default settings, as seems to be the case for other services.

In addition, the /var/log/pgpool directory should be created at install time.

Version-Release number of selected component (if applicable):

Name        : postgresql-pgpool-II
Arch        : x86_64
Version     : 3.1
Release     : 1.fc16

How reproducible:

Looks like always, until you manually create /var/run/pgpool/ or change /etc/pgpool-II/pgpool.conf to point to a different PID directory.

Steps to Reproduce:
1. Install postgresql-pgpool-II on a clean system
2. As root, run "systemctl start pgpool.service"
  
Actual results:

Running "systemctl status pgpool.service" shows something like:

pgpool.service - PGPool-II Middleware Between PostgreSQL Servers And PostgreSQL Database Clients
	  Loaded: loaded (/lib/systemd/system/pgpool.service; disabled)
	  Active: failed since Sat, 03 Mar 2012 22:31:27 -0500; 5s ago
	 Process: 17531 ExecStart=/usr/bin/pgpool -f /etc/pgpool-II/pgpool.conf $OPTS (code=exited, status=1/FAILURE)
	  CGroup: name=systemd:/system/pgpool.service

Expected results:

Running "systemctl status pgpool.service" shows something like:

pgpool.service - PGPool-II Middleware Between PostgreSQL Servers And PostgreSQL Database Clients
	  Loaded: loaded (/lib/systemd/system/pgpool.service; disabled)
	  Active: active (running) since Sat, 03 Mar 2012 22:31:57 -0500; 1s ago
	Main PID: 17555 (pgpool)
	  CGroup: name=systemd:/system/pgpool.service
		  ├ 17555 /usr/bin/pgpool -f /etc/pgpool-II/pgpool.conf -n
		  ├ 17556 pgpool: wait for connection request
		  ├ 17557 pgpool: wait for connection request
...

Additional info:
Comment 1 Fedora End Of Life 2013-01-16 08:16:52 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 08:59:31 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.